Subject: Re: bug#54804: 29.0.50; zap-to-char: case sensitive for upper-case letter

From: Stefan Monnier <[email-masked]>
Date: Tue, 17 May 2022 08:51:22 -0400

>> I want the analog behavior for zap-to... commands: automatic
>> case sensitivity when the char is uppercase.
>> I want this behavior on interactive calls only, for instance when users
>> do `M-z'.
>
> As I said I disagree: these are DWIMish features that are best
> reserved for interactive invocation.  In calls from Lisp, it is
> confusing to have the behavior change so drastically depending on the
> letter-case of an argument.

Am I misunderstanding something or are you two violently agreeing?

        Stefan